cURL
curl --request GET \ --url https://{companyName}.api.joinluminous.com/external/api/v1/contacts/{contactId} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "789123", "created_at": "2023-03-15T14:30:00Z", "updated_at": "2023-03-15T14:30:00Z", "status": "active", "first_name": "John", "last_name": "Smith", "email": "john.smith@acmecorp.com", "phone": "555-987-6543", "phone_2": "555-555-5555", "full_name": "John Smith", "company_id": "123456", "company": { "id": "123456", "name": "Acme Corporation" }, "is_primary": true, "receive_quotation_pdf": false, "receive_purchase_order_pdf": false, "receive_purchase_order_invoice_pdf": false, "has_portal_login": false, "companies": [ { "id": 123, "name": "<string>", "is_primary": true, "receive_quotation_pdf": true, "receive_purchase_order_pdf": true, "receive_purchase_order_invoice_pdf": true } ], "tags": [ { "id": 123, "name": "<string>", "description": "<string>", "icon": "<string>", "color": "<string>" } ] } }
Get detailed information for a specific contact by ID
Documentation IndexFetch the complete documentation index at: https://docs.joinluminous.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt
Use this file to discover all available pages before exploring further.
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
The unique identifier of the contact
Contact details
Show child attributes